<id>
YaBBC Tags Help Page Mod
</id>

<version>
0.9beta SP1.1/SP1.2
</version>

<mod info>
Adds a [YaBBC Tags Help] link to the Post Message page display to allow for a new window to open upon a user clicking the link that will display a detailed YaBBC tags usage help page.
Also included is my version of ubbc.js that allows for automatic YaBBC tag "text wrapping", this allows any text to be selected(highlighted) and then pressing the desired YaBBC tag button results in the selected text to be "wrapped" with the YaBBC tag feature selected. The exceptions to YaBBC tag "auto wrapping" are the [hr], [list], [table], [tr] and [td] tags(though Ryoko's version does support "table" autowrapping feature, but that is not documented in this YaBBC Help page).

*Note: Because this mod is basically an "English" language only mod, the text "[YaBBC Tags Help]" is "hard coded" in the Post.pl rather than making the mod installer change and upload the english.lng for just that one line.

After applying mod file upload the following changed/new files:
YaBB.pl
ubbc.js* IMPORTANT!!! this file is for SP1.1 only!!!
Sources/Post.pl
Sources/HelpYaBBC.pl 

*If you have installed Ryoko's NewUBBC version on a SP1.1 install, then you may wish not to upload this version.
*Do not copy the ubbc.js file to SP1.2 installs, the "autowrapping" feature is already included.
</mod info>

<author>
DummyProof
</author>

<homepage>
http://cgi.tripod.com/yabbsp1_1/cgi-bin/YaBB.pl
</homepage>

<edit file>
YaBB.pl
</edit file>

<search for>
		elsif ($action eq 'manageboards') { require "$sourcedir/ManageBoards.pl"; &ManageBoards; }
</search for>

<add after>
		elsif ($action eq 'mhelpy') { require "$sourcedir/HelpYaBBC.pl"; &mhelpy; }
</add after>

<edit file>
Sources/Post.pl
</edit file>

<search for>
        <td class="windowbg2" bgcolor="$color{'windowbg2'}" width="23%"><font size=2><b>$txt{'252'}:</b></font></td>
</search for>

<replace>
        <td class="windowbg2" bgcolor="$color{'windowbg2'}" width="23%"><font size=2><b>$txt{'252'}:</b></font><font size="2"><sub><br>&nbsp;&nbsp;<a href="$scripturl?action=mhelpy" target="_blank" >[YaBBC Tags Help]</a></font></sub></td>
</replace>